petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSAWsSetBlock

Sets whether an object will block at PetscObjectSAWsBlock()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSAWsSetBlock(PetscObject obj,PetscBool flg)

Collective on PetscObject Many br

### Input Parameters

| obj | - the Petsc variable Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectSetName((PetscObject)mat,name); Many br
| flg | - whether it should block Many br

Many br

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff(), PetscObjectSAWsBlock()

Level:advanced
Location:src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages